.. _index:

===========================
Gokapi
===========================

Gokapi is a lightweight server to share files, which expire after a set amount of downloads or days. It is similar to the discontinued Firefox Send, with the difference that only the admin is allowed to upload files.

This enables companies or individuals to share their files very easily and having them removed afterwards, therefore saving disk space and having control over who downloads the file from the server.

Identical files will be deduplicated. An API is available to interact with Gokapi. AWS S3 compatible storage can be used instead of local storage. Customization is very easy with HTML/CSS knowledge.


Contents
========

.. toctree::
 :maxdepth: 2

 setup
 usage
 update
 advanced
 examples
 contributions
 changelog
